Package com.pixelmed.network

## Class AnyExplicitStorePresentationContextSelectionPolicy

- java.lang.Object
- - com.pixelmed.network.AnyExplicitStorePresentationContextSelectionPolicy

- All Implemented Interfaces:
    `PresentationContextSelectionPolicy`

      public class AnyExplicitStorePresentationContextSelectionPolicy
      extends java.lang.Object
      implements PresentationContextSelectionPolicy

  Accept only SOP Classes for storage of composite instances and verification SOP Classes with any explicit transfer syntax (whether compressed or not), also rejecting implicit VR transfer syntaxes if an explicit VR transfer syntax is offered for the same abstract syntax.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AbstractSyntaxSelectionPolicy` | `abstractSyntaxSelectionPolicy` |
    `protected TransferSyntaxSelectionPolicy` | `transferSyntaxSelectionPolicy` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnyExplicitStorePresentationContextSelectionPolicy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.LinkedList` | `applyPresentationContextSelectionPolicy​(java.util.LinkedList presentationContexts, int associationNumber)` | Accept or reject Abstract Syntaxes (SOP Classes).
    `java.util.LinkedList` | `applyPresentationContextSelectionPolicy​(java.util.LinkedList presentationContexts, int associationNumber, int debugLevel)` | Accept or reject Abstract Syntaxes (SOP Classes).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### abstractSyntaxSelectionPolicy

          protected AbstractSyntaxSelectionPolicy abstractSyntaxSelectionPolicy

    - #### transferSyntaxSelectionPolicy

          protected TransferSyntaxSelectionPolicy transferSyntaxSelectionPolicy

  - ### Constructor Detail

    - #### AnyExplicitStorePresentationContextSelectionPolicy

          public AnyExplicitStorePresentationContextSelectionPolicy()

  - ### Method Detail

    - #### applyPresentationContextSelectionPolicy

          public java.util.LinkedList applyPresentationContextSelectionPolicy​(java.util.LinkedList presentationContexts,
                                                                              int associationNumber,
                                                                              int debugLevel)

      Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage of composite instances and verification SOP Classes are accepted.
      Specified by:
        `applyPresentationContextSelectionPolicy` in interface `PresentationContextSelectionPolicy`
      Parameters:
        `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
        `associationNumber` - for debugging messages
        `debugLevel` - ignored
      Returns:
        the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"

    - #### applyPresentationContextSelectionPolicy

          public java.util.LinkedList applyPresentationContextSelectionPolicy​(java.util.LinkedList presentationContexts,
                                                                              int associationNumber)

      Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage of composite instances and verification SOP Classes are accepted.
      Specified by:
        `applyPresentationContextSelectionPolicy` in interface `PresentationContextSelectionPolicy`
      Parameters:
        `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
        `associationNumber` - for debugging messages
      Returns:
        the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"